Bug 190331 - XmList widget size problem
XmList widget size problem
Product: Fedora
Classification: Fedora
Component: openmotif (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Thomas Woerner
Depends On:
  Show dependency treegraph
Reported: 2006-05-01 06:29 EDT by Georg Wild
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-29 08:52:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Georg Wild 2006-05-01 06:29:49 EDT
Description of problem:
When using openmotif for xmgrace as provided by fc5 xmgrace set menu collapses
and makes xmgrace nearly unusable. The problem is described in
http://plasma-gate.weizmann.ac.il/Grace/phpbb/viewtopic.php?t=569 ,
the fix is available at http://bugs.motifzone.net/show_bug.cgi?id=1331 .
Comment 1 Matthew Truch 2006-05-04 23:24:15 EDT
I would like to vote for the fix to be pulled into Fedora's openmotif as well,
as this bug also affects gpsd (see Bug 189222).  

Comment 2 vossman 2006-06-21 16:15:53 EDT
Ugh, this bug is sooooo annoying. I pasted the pathc below (3 characters!!!).
For myself, I gave up and I decided to patch it and build form source.

--- openmotif-2.3.0/lib/Xm/List.c.vizcount 2006-03-24 16:45:01.000000000 -0600
+++ openmotif-2.3.0/lib/Xm/List.c 2006-03-24 16:45:35.000000000 -0600
@@ -2672,7 +2672,7 @@
XmRenderTableGetDefaultFontExtents(lw->list.font, &height, NULL, NULL);

lw->list.MaxItemHeight = (Dimension)height;
- if (lw->list.MaxItemHeight)
+ if (lw->list.MaxItemHeight == 0)
lw->list.MaxItemHeight = 1;
if (XmeRenderTableGetDefaultFont(lw->list.font, &fs))
Comment 3 Fedora Update System 2006-06-22 15:30:00 EDT
openmotif-2.3.0- has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.